%define Werror_cflags %{nil}

%define shortver %(echo %{version} | cut -d. -f-2)

%define ver2020 6.0.9

%define major 2.0.0
%define libkicad_3dsg %mklibname kicad_3dsg %{major}
%define libkigal %mklibname kigal %{version}
%define devname %mklibname %{name} -d

Summary:	EDA software suite for creation of schematic diagrams and PCBs
Name:		kicad
Version:	9.0.0
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Sciences/Computer science
Url:		https://www.kicad.org
Source0:	https://gitlab.com/kicad/code/kicad/-/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	https://gitlab.com/kicad/services/kicad-doc/-/archive/%{version}/%{name}-doc-%{version}.tar.gz
Source2:	https://gitlab.com/kicad/libraries/kicad-symbols/-/archive/%{version}/%{name}-symbols-%{version}.tar.gz
Source4:	https://gitlab.com/kicad/libraries/kicad-footprints/-/archive/%{version}/%{name}-footprints-%{version}.tar.gz
Source5:	https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/%{version}/%{name}-packages3D-%{version}.tar.gz
Source6:	https://gitlab.com/kicad/libraries/kicad-packages3D-source/-/archive/%{ver2020}/%{name}-packages3D-source-%{ver2020}.tar.gz
Source8:	https://gitlab.com/kicad/libraries/kicad-templates/-/archive/%{version}/%{name}-templates-%{version}.tar.gz
## Old modules, archived
# 3d-modules
Source9:	packages3D-4.0.7.tar.gz
Source10:	packages3D-source-4.0.7.tar.gz
# modules
Source11:	https://github.com/KiCad/Air_Coils_SML_NEOSID.pretty/archive/4.0.6.tar.gz?/Air_Coils_SML_NEOSID.pretty-4.0.6.tar.gz
Source12:	https://github.com/KiCad/Choke_Axial_ThroughHole.pretty/archive/4.0.6.tar.gz?/Choke_Axial_ThroughHole.pretty-4.0.6.tar.gz
Source13:	https://github.com/KiCad/Choke_Common-Mode_Wurth.pretty/archive/4.0.6.tar.gz?/Choke_Common-Mode_Wurth.pretty-4.0.6.tar.gz
Source14:	https://github.com/KiCad/Choke_Radial_ThroughHole.pretty/archive/4.0.6.tar.gz?/Choke_Radial_ThroughHole.pretty-4.0.6.tar.gz
Source15:	https://github.com/KiCad/Choke_SMD.pretty/archive/4.0.6.tar.gz?/Choke_SMD.pretty-4.0.6.tar.gz
Source16:	https://github.com/KiCad/Choke_Toroid_ThroughHole.pretty/archive/4.0.6.tar.gz?/Choke_Toroid_ThroughHole.pretty-4.0.6.tar.gz
Source17:	https://github.com/KiCad/Filters_HF_Coils_NEOSID.pretty/archive/4.0.6.tar.gz?/Filters_HF_Coils_NEOSID.pretty-4.0.6.tar.gz
Source18:	https://github.com/KiCad/Inductors_NEOSID.pretty/archive/4.0.6.tar.gz?/Inductors_NEOSID.pretty-4.0.6.tar.gz
Source19:	https://github.com/KiCad/Inductors.pretty/archive/4.0.6.tar.gz?/Inductors.pretty-4.0.6.tar.gz
Source20:	https://github.com/KiCad/Mechanical_Sockets.pretty/archive/4.0.6.tar.gz?/Mechanical_Sockets.pretty-4.0.6.tar.gz
Source21:	https://github.com/KiCad/NF-Transformers_ETAL.pretty/archive/4.0.6.tar.gz?/NF-Transformers_ETAL.pretty-4.0.6.tar.gz
Source22:	https://github.com/KiCad/Oddities.pretty/archive/4.0.6.tar.gz?/Oddities.pretty-4.0.6.tar.gz
Source23:	https://github.com/KiCad/Sockets_MOLEX_KK-System.pretty/archive/4.0.6.tar.gz?/Sockets_MOLEX_KK-System.pretty-4.0.6.tar.gz
Source24:	https://github.com/KiCad/Transformers_CHK.pretty/archive/4.0.6.tar.gz?/Transformers_CHK.pretty-4.0.6.tar.gz
Source25:	https://github.com/KiCad/Transformers_SMPS_ThroughHole.pretty/archive/4.0.6.tar.gz?/Transformers_SMPS_ThroughHole.pretty-4.0.6.tar.gz
Source26:	https://github.com/KiCad/Battery_Holders.pretty/archive/4.0.7.tar.gz?/Battery_Holders.pretty-4.0.7.tar.gz
Source27:	https://github.com/KiCad/Buttons_Switches_SMD.pretty/archive/4.0.7.tar.gz?/Buttons_Switches_SMD.pretty-4.0.7.tar.gz
Source28:	https://github.com/KiCad/Buttons_Switches_THT.pretty/archive/4.0.7.tar.gz?/Buttons_Switches_THT.pretty-4.0.7.tar.gz
Source29:	https://github.com/KiCad/Buzzers_Beepers.pretty/archive/4.0.7.tar.gz?/Buzzers_Beepers.pretty-4.0.7.tar.gz
Source30:	https://github.com/KiCad/Capacitors_SMD.pretty/archive/4.0.7.tar.gz?/Capacitors_SMD.pretty-4.0.7.tar.gz
Source31:	https://github.com/KiCad/Capacitors_Tantalum_SMD.pretty/archive/4.0.7.tar.gz?/Capacitors_Tantalum_SMD.pretty-4.0.7.tar.gz
Source32:	https://github.com/KiCad/Capacitors_THT.pretty/archive/4.0.7.tar.gz?/Capacitors_THT.pretty-4.0.7.tar.gz
Source33:	https://github.com/KiCad/Connectors_Card.pretty/archive/4.0.7.tar.gz?/Connectors_Card.pretty-4.0.7.tar.gz
Source34:	https://github.com/KiCad/Connectors_Harwin.pretty/archive/4.0.7.tar.gz?/Connectors_Harwin.pretty-4.0.7.tar.gz
Source35:	https://github.com/KiCad/Connectors_HDMI.pretty/archive/4.0.7.tar.gz?/Connectors_HDMI.pretty-4.0.7.tar.gz
Source36:	https://github.com/KiCad/Connectors_Hirose.pretty/archive/4.0.7.tar.gz?/Connectors_Hirose.pretty-4.0.7.tar.gz
Source37:	https://github.com/KiCad/Connectors_IEC_DIN.pretty/archive/4.0.7.tar.gz?/Connectors_IEC_DIN.pretty-4.0.7.tar.gz
Source38:	https://github.com/KiCad/Connectors_JAE.pretty/archive/4.0.7.tar.gz?/Connectors_JAE.pretty-4.0.7.tar.gz
Source39:	https://github.com/KiCad/Connectors_JST.pretty/archive/4.0.7.tar.gz?/Connectors_JST.pretty-4.0.7.tar.gz
Source40:	https://github.com/KiCad/Connectors_Mini-Universal.pretty/archive/4.0.7.tar.gz?/Connectors_Mini-Universal.pretty-4.0.7.tar.gz
Source41:	https://github.com/KiCad/Connectors_Molex.pretty/archive/4.0.7.tar.gz?/Connectors_Molex.pretty-4.0.7.tar.gz
Source42:	https://github.com/KiCad/Connectors_Multicomp.pretty/archive/4.0.7.tar.gz?/Connectors_Multicomp.pretty-4.0.7.tar.gz
Source43:	https://github.com/KiCad/Connectors_Phoenix.pretty/archive/4.0.7.tar.gz?/Connectors_Phoenix.pretty-4.0.7.tar.gz
Source44:	https://github.com/KiCad/Connectors_Samtec.pretty/archive/4.0.7.tar.gz?/Connectors_Samtec.pretty-4.0.7.tar.gz
Source45:	https://github.com/KiCad/Connectors_TE-Connectivity.pretty/archive/4.0.7.tar.gz?/Connectors_TE-Connectivity.pretty-4.0.7.tar.gz
Source46:	https://github.com/KiCad/Connectors_Terminal_Blocks.pretty/archive/4.0.7.tar.gz?/Connectors_Terminal_Blocks.pretty-4.0.7.tar.gz
Source47:	https://github.com/KiCad/Connectors_WAGO.pretty/archive/4.0.7.tar.gz?/Connectors_WAGO.pretty-4.0.7.tar.gz
Source48:	https://github.com/KiCad/Connectors.pretty/archive/4.0.7.tar.gz?/Connectors.pretty-4.0.7.tar.gz
Source49:	https://github.com/KiCad/Converters_DCDC_ACDC.pretty/archive/4.0.7.tar.gz?/Converters_DCDC_ACDC.pretty-4.0.7.tar.gz
Source50:	https://github.com/KiCad/Crystals.pretty/archive/4.0.7.tar.gz?/Crystals.pretty-4.0.7.tar.gz
Source51:	https://github.com/KiCad/Diodes_SMD.pretty/archive/4.0.7.tar.gz?/Diodes_SMD.pretty-4.0.7.tar.gz
Source52:	https://github.com/KiCad/Diodes_THT.pretty/archive/4.0.7.tar.gz?/Diodes_THT.pretty-4.0.7.tar.gz
Source53:	https://github.com/KiCad/Displays_7-Segment.pretty/archive/4.0.7.tar.gz?/Displays_7-Segment.pretty-4.0.7.tar.gz
Source54:	https://github.com/KiCad/Displays.pretty/archive/4.0.7.tar.gz?/Displays.pretty-4.0.7.tar.gz
Source55:	https://github.com/KiCad/Enclosures.pretty/archive/4.0.7.tar.gz?/Enclosures.pretty-4.0.7.tar.gz
Source56:	https://github.com/KiCad/EuroBoard_Outline.pretty/archive/4.0.7.tar.gz?/EuroBoard_Outline.pretty-4.0.7.tar.gz
Source57:	https://github.com/KiCad/Fiducials.pretty/archive/4.0.7.tar.gz?/Fiducials.pretty-4.0.7.tar.gz
Source58:	https://github.com/KiCad/Fuse_Holders_and_Fuses.pretty/archive/4.0.7.tar.gz?/Fuse_Holders_and_Fuses.pretty-4.0.7.tar.gz
Source59:	https://github.com/KiCad/Hall-Effect_Transducers_LEM.pretty/archive/4.0.7.tar.gz?/Hall-Effect_Transducers_LEM.pretty-4.0.7.tar.gz
Source60:	https://github.com/KiCad/Heatsinks.pretty/archive/4.0.7.tar.gz?/Heatsinks.pretty-4.0.7.tar.gz
Source61:	https://github.com/KiCad/Housings_BGA.pretty/archive/4.0.7.tar.gz?/Housings_BGA.pretty-4.0.7.tar.gz
Source62:	https://github.com/KiCad/Housings_CSP.pretty/archive/4.0.7.tar.gz?/Housings_CSP.pretty-4.0.7.tar.gz
Source63:	https://github.com/KiCad/Housings_DFN_QFN.pretty/archive/4.0.7.tar.gz?/Housings_DFN_QFN.pretty-4.0.7.tar.gz
Source64:	https://github.com/KiCad/Housings_DIP.pretty/archive/4.0.7.tar.gz?/Housings_DIP.pretty-4.0.7.tar.gz
Source65:	https://github.com/KiCad/Housings_LCC.pretty/archive/4.0.7.tar.gz?/Housings_LCC.pretty-4.0.7.tar.gz
Source66:	https://github.com/KiCad/Housings_LGA.pretty/archive/4.0.7.tar.gz?/Housings_LGA.pretty-4.0.7.tar.gz
Source67:	https://github.com/KiCad/Housings_PGA.pretty/archive/4.0.7.tar.gz?/Housings_PGA.pretty-4.0.7.tar.gz
Source68:	https://github.com/KiCad/Housings_QFP.pretty/archive/4.0.7.tar.gz?/Housings_QFP.pretty-4.0.7.tar.gz
Source69:	https://github.com/KiCad/Housings_SIP.pretty/archive/4.0.7.tar.gz?/Housings_SIP.pretty-4.0.7.tar.gz
Source70:	https://github.com/KiCad/Housings_SOIC.pretty/archive/4.0.7.tar.gz?/Housings_SOIC.pretty-4.0.7.tar.gz
Source71:	https://github.com/KiCad/Housings_SON.pretty/archive/4.0.7.tar.gz?/Housings_SON.pretty-4.0.7.tar.gz
Source72:	https://github.com/KiCad/Housings_SSOP.pretty/archive/4.0.7.tar.gz?/Housings_SSOP.pretty-4.0.7.tar.gz
Source73:	https://github.com/KiCad/Inductors_SMD.pretty/archive/4.0.7.tar.gz?/Inductors_SMD.pretty-4.0.7.tar.gz
Source74:	https://github.com/KiCad/Inductors_THT.pretty/archive/4.0.7.tar.gz?/Inductors_THT.pretty-4.0.7.tar.gz
Source75:	https://github.com/KiCad/IR-DirectFETs.pretty/archive/4.0.7.tar.gz?/IR-DirectFETs.pretty-4.0.7.tar.gz
Source76:	https://github.com/KiCad/LEDs.pretty/archive/4.0.7.tar.gz?/LEDs.pretty-4.0.7.tar.gz
Source77:	https://github.com/KiCad/Measurement_Points.pretty/archive/4.0.7.tar.gz?/Measurement_Points.pretty-4.0.7.tar.gz
Source78:	https://github.com/KiCad/Measurement_Scales.pretty/archive/4.0.7.tar.gz?/Measurement_Scales.pretty-4.0.7.tar.gz
Source79:	https://github.com/KiCad/Microwave.pretty/archive/4.0.7.tar.gz?/Microwave.pretty-4.0.7.tar.gz
Source80:	https://github.com/KiCad/Modules.pretty/archive/4.0.7.tar.gz?/Modules.pretty-4.0.7.tar.gz
Source81:	https://github.com/KiCad/Mounting_Holes.pretty/archive/4.0.7.tar.gz?/Mounting_Holes.pretty-4.0.7.tar.gz
Source82:	https://github.com/KiCad/Opto-Devices.pretty/archive/4.0.7.tar.gz?/Opto-Devices.pretty-4.0.7.tar.gz
Source83:	https://github.com/KiCad/Oscillators.pretty/archive/4.0.7.tar.gz?/Oscillators.pretty-4.0.7.tar.gz
Source84:	https://github.com/KiCad/PFF_PSF_PSS_Leadforms.pretty/archive/4.0.7.tar.gz?/PFF_PSF_PSS_Leadforms.pretty-4.0.7.tar.gz
Source85:	https://github.com/KiCad/Pin_Headers.pretty/archive/4.0.7.tar.gz?/Pin_Headers.pretty-4.0.7.tar.gz
Source86:	https://github.com/KiCad/Potentiometers.pretty/archive/4.0.7.tar.gz?/Potentiometers.pretty-4.0.7.tar.gz
Source87:	https://github.com/KiCad/Power_Integrations.pretty/archive/4.0.7.tar.gz?/Power_Integrations.pretty-4.0.7.tar.gz
Source88:	https://github.com/KiCad/Relays_SMD.pretty/archive/4.0.7.tar.gz?/Relays_SMD.pretty-4.0.7.tar.gz
Source89:	https://github.com/KiCad/Relays_THT.pretty/archive/4.0.7.tar.gz?/Relays_THT.pretty-4.0.7.tar.gz
Source90:	https://github.com/KiCad/Resistors_SMD.pretty/archive/4.0.7.tar.gz?/Resistors_SMD.pretty-4.0.7.tar.gz
Source91:	https://github.com/KiCad/Resistors_THT.pretty/archive/4.0.7.tar.gz?/Resistors_THT.pretty-4.0.7.tar.gz
Source92:	https://github.com/KiCad/Resistors_Universal.pretty/archive/4.0.7.tar.gz?/Resistors_Universal.pretty-4.0.7.tar.gz
Source93:	https://github.com/KiCad/RF_Antennas.pretty/archive/4.0.7.tar.gz?/RF_Antennas.pretty-4.0.7.tar.gz
Source94:	https://github.com/KiCad/RF_Modules.pretty/archive/4.0.7.tar.gz?/RF_Modules.pretty-4.0.7.tar.gz
Source95:	https://github.com/KiCad/Shielding_Cabinets.pretty/archive/4.0.7.tar.gz?/Shielding_Cabinets.pretty-4.0.7.tar.gz
Source96:	https://github.com/KiCad/SMD_Packages.pretty/archive/4.0.7.tar.gz?/SMD_Packages.pretty-4.0.7.tar.gz
Source97:	https://github.com/KiCad/Socket_Strips.pretty/archive/4.0.7.tar.gz?/Socket_Strips.pretty-4.0.7.tar.gz
Source98:	https://github.com/KiCad/Sockets.pretty/archive/4.0.7.tar.gz?/Sockets.pretty-4.0.7.tar.gz
Source99:	https://github.com/KiCad/Symbols.pretty/archive/4.0.7.tar.gz?/Symbols.pretty-4.0.7.tar.gz
Source100:	https://github.com/KiCad/TerminalBlocks_Phoenix.pretty/archive/4.0.7.tar.gz?/TerminalBlocks_Phoenix.pretty-4.0.7.tar.gz
Source101:	https://github.com/KiCad/TerminalBlocks_WAGO.pretty/archive/4.0.7.tar.gz?/TerminalBlocks_WAGO.pretty-4.0.7.tar.gz
Source102:	https://github.com/KiCad/TO_SOT_Packages_SMD.pretty/archive/4.0.7.tar.gz?/TO_SOT_Packages_SMD.pretty-4.0.7.tar.gz
Source103:	https://github.com/KiCad/TO_SOT_Packages_THT.pretty/archive/4.0.7.tar.gz?/TO_SOT_Packages_THT.pretty-4.0.7.tar.gz
Source104:	https://github.com/KiCad/Transformers_SMD.pretty/archive/4.0.7.tar.gz?/Transformers_SMD.pretty-4.0.7.tar.gz
Source105:	https://github.com/KiCad/Transformers_THT.pretty/archive/4.0.7.tar.gz?/Transformers_THT.pretty-4.0.7.tar.gz
Source106:	https://github.com/KiCad/Transistors_OldSowjetAera.pretty/archive/4.0.7.tar.gz?/Transistors_OldSowjetAera.pretty-4.0.7.tar.gz
Source107:	https://github.com/KiCad/Valves.pretty/archive/4.0.7.tar.gz?/Valves.pretty-4.0.7.tar.gz
Source108:	https://github.com/KiCad/Varistors.pretty/archive/4.0.7.tar.gz?/Varistors.pretty-4.0.7.tar.gz
Source109:	https://github.com/KiCad/Wire_Connections_Bridges.pretty/archive/4.0.7.tar.gz?/Wire_Connections_Bridges.pretty-4.0.7.tar.gz
Source110:	https://github.com/KiCad/Wire_Pads.pretty/archive/4.0.7.tar.gz?/Wire_Pads.pretty-4.0.7.tar.gz
# Need manually fix for files or syntax when update
Source200:	fp-lib-table-modules-nothing-%{version}
Source201:	fp-lib-table-modules-%{version}
Source202:	fp-lib-table-modules-all-%{version}
Source203:	fp-lib-table-modules-old-%{version}
# Help from previous version
Source300:	doc-nl-5.0.2.tar.xz
Patch0:		kicad-%{version}-nostrip.patch
Patch1:		kicad-%{version}-default-settings.patch
BuildRequires:	a2x
BuildRequires:	asciidoc
BuildRequires:	cmake
BuildRequires:	dblatex
BuildRequires:	desktop-file-utils
BuildRequires:	doxygen
BuildRequires:	git
BuildRequires:	po4a
BuildRequires:	python3-wxpython4
BuildRequires:	rubygem-asciidoctor
BuildRequires:	source-highlight
BuildRequires:	swig
BuildRequires:	boost-devel
BuildRequires:	glm-devel
BuildRequires:	opencascade-devel
BuildRequires:	wxgtku3.2-devel
BuildRequires:	unixODBC-devel
BuildRequires:	cmake(nng)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgit2)
BuildRequires:	pkgconfig(ngspice)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Qt6OpenGL)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libzstd)
Requires:	electronics-menu
Requires:	python3-wxpython4
Requires:	%{libkicad_3dsg} = %{EVRD}
Requires:	%{libkigal} = %{EVRD}
Requires:	%{_lib}tbbmalloc2
Requires:	%{_lib}wx_baseu3.2_0
Requires:	%{_lib}wx_baseu_net3.2_0
Requires:	%{_lib}wx_baseu_xml3.2_0
Requires:	%{_lib}wx_gtk3u_aui3.2_0
Requires:	%{_lib}wx_gtk3u_core3.2_0
Requires:	%{_lib}wx_gtk3u_gl3.2_0
Requires:	%{_lib}wx_gtk3u_html3.2_0
Requires:	%{_lib}wx_gtk3u_propgrid3.2_0
Requires:	%{_lib}wx_gtk3u_richtext3.2_0
Requires:	%{_lib}wx_gtk3u_stc3.2_0
Requires:	%{name}-doc = %{EVRD}
Recommends:	%{name}-doc-ru = %{EVRD}
Recommends:	%{name}-modules = %{EVRD}
Recommends:	%{name}-modules-packages3d = %{EVRD}

%description
KiCad is an EDA software to design electronic schematic
diagrams and printed circuit board artwork up to 16 layers.
KiCad is a set of four softwares and a project manager:
- KiCad: project manager
- Eeschema: schematic entry
- Pcbnew: board editor
- Cvpcb: footprint selector for components used in the circuit design
- Gerbview: GERBER viewer (photoplotter documents)

%files -f %{name}.lang
%doc AUTHORS.txt CONTRIBUTING.md README.md
%license LICENSE*
%{_appdatadir}/org.%{name}.%{name}.metainfo.xml
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/icons/hicolor/*/mimetypes/application-x-*.*
%{_datadir}/mime/packages/%{name}-gerbers.xml
%{_datadir}/mime/packages/%{name}-%{name}.xml
%{_datadir}/%{name}/demos
%{_datadir}/%{name}/fp-lib-tables/fp-lib-table-modules-*
%{_datadir}/%{name}/plugins
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/schemas
%{_datadir}/%{name}/scripting
%{_datadir}/%{name}/symbols
%{_datadir}/%{name}/template
%dir %{_datadir}/%{name}/3dmodels
%dir %{_datadir}/%{name}/fp-lib-tables
%dir %{_datadir}/%{name}/modules
%{_docdir}/%{name}/%{name}-footprints-*.md
%{_docdir}/%{name}/%{name}-symbols-*.md
%{_docdir}/%{name}/%{name}-templates-*.md
%{_libdir}/%{name}/plugins/3d/libs3d_plugin_*.so
%{py3_platsitedir}/pcbnew.*
%{py3_platsitedir}/_pcbnew.so
%{py3_platsitedir}/__pycache__

%posttrans
echo "

If you need it, install any of the packages:
kicad-modules
kicad-modules-old
kicad-modules-packages3d
kicad-modules-packages3d-old
and rename or delete the file
~/.config/kicad/%{shortver}/fp-lib-table

=== Russian ===

Если требуется, доустановите любой из пакетов:
kicad-modules
kicad-modules-old
kicad-modules-packages3d
kicad-modules-packages3d-old
и переименуйте или удалите файл
~/.config/kicad/%{shortver}/fp-lib-table

"

#----------------------------------------------------------------------------

%package -n %{libkicad_3dsg}
Summary:	KiCad’s scene graph library for 3D Plugins
Group:		System/Libraries

%description -n %{libkicad_3dsg}
It is KiCad’s scene graph library kicad_3dsg for 3D plugins.
All plugins which support model visualization must translate
the model data into a scene graph via this library.

%files -n %{libkicad_3dsg}
%{_libdir}/libkicad_3dsg.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libkigal}
Summary:	KiCad’s OpenGL GAL shared library
Group:		System/Libraries

%description -n %{libkigal}
It is KiCad’s OpenGL GAL shared library.

%files -n %{libkigal}
%{_libdir}/libkigal.so.%{version}*
%{_libdir}/libkicommon.so.%{version}*
%{_libdir}/libkiapi.so.%{version}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	KiCad development files
Group:		Development/C++
Requires:	%{libkicad_3dsg} = %{EVRD}
Requires:	%{libkigal} = %{EVRD}

%description -n %{devname}
KiCad development files.

%files -n %{devname}
%{_libdir}/libkigal.so
%{_libdir}/libkicommon.so
%{_libdir}/libkiapi.so

#----------------------------------------------------------------------------

%package modules
Summary:	Pretty modules for KiCad
Group:		Sciences/Computer science
Requires:	%{name} = %{EVRD}
BuildArch:	noarch

%description modules
All new *.pretty modules for KiCad.

%files modules
%doc AUTHORS.txt CONTRIBUTING.md README.md
%license LICENSE*
%{_datadir}/%{name}/footprints/Audio_Module.pretty
%{_datadir}/%{name}/footprints/Battery.pretty
%{_datadir}/%{name}/footprints/Button_Switch_Keyboard.pretty
%{_datadir}/%{name}/footprints/Button_Switch_SMD.pretty
%{_datadir}/%{name}/footprints/Button_Switch_THT.pretty
%{_datadir}/%{name}/footprints/Buzzer_Beeper.pretty
%{_datadir}/%{name}/footprints/Calibration_Scale.pretty
%{_datadir}/%{name}/footprints/Capacitor_SMD.pretty
%{_datadir}/%{name}/footprints/Capacitor_Tantalum_SMD.pretty
%{_datadir}/%{name}/footprints/Capacitor_THT.pretty
%{_datadir}/%{name}/footprints/Connector_AMASS.pretty
%{_datadir}/%{name}/footprints/Connector_Amphenol.pretty
%{_datadir}/%{name}/footprints/Connector_Audio.pretty
%{_datadir}/%{name}/footprints/Connector_BarrelJack.pretty
%{_datadir}/%{name}/footprints/Connector_Card.pretty
%{_datadir}/%{name}/footprints/Connector_Coaxial.pretty
%{_datadir}/%{name}/footprints/Connector_DIN.pretty
%{_datadir}/%{name}/footprints/Connector_Dsub.pretty
%{_datadir}/%{name}/footprints/Connector_FFC-FPC.pretty
%{_datadir}/%{name}/footprints/Connector_Harting.pretty
%{_datadir}/%{name}/footprints/Connector_Harwin.pretty
%{_datadir}/%{name}/footprints/Connector_Hirose.pretty
%{_datadir}/%{name}/footprints/Connector_Hirose_FX8.pretty
%{_datadir}/%{name}/footprints/Connector_IDC.pretty
%{_datadir}/%{name}/footprints/Connector_JAE.pretty
%{_datadir}/%{name}/footprints/Connector_JAE_WP7B.pretty
%{_datadir}/%{name}/footprints/Connector_JST.pretty
%{_datadir}/%{name}/footprints/Connector_Molex.pretty
%{_datadir}/%{name}/footprints/Connector_PCBEdge.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_GMSTB.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_MC_HighVoltage.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_MC.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_MSTB.pretty
%{_datadir}/%{name}/footprints/Connector_Phoenix_SPT.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_1.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_1.27mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_2.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinHeader_2.54mm.pretty
%{_datadir}/%{name}/footprints/Connector_Pin.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_1.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_1.27mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_2.00mm.pretty
%{_datadir}/%{name}/footprints/Connector_PinSocket_2.54mm.pretty
%{_datadir}/%{name}/footprints/Connector.pretty
%{_datadir}/%{name}/footprints/Connector_RJ.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HLE_SMD.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HLE_THT.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HPM_THT.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_HSEC8.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_MicroMate.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec_MicroPower.pretty
%{_datadir}/%{name}/footprints/Connector_Samtec.pretty
%{_datadir}/%{name}/footprints/Connector_SATA_SAS.pretty
%{_datadir}/%{name}/footprints/Connector_Stocko.pretty
%{_datadir}/%{name}/footprints/Connector_TE-Connectivity.pretty
%{_datadir}/%{name}/footprints/Connector_USB.pretty
%{_datadir}/%{name}/footprints/Connector_Video.pretty
%{_datadir}/%{name}/footprints/Connector_Wago.pretty
%{_datadir}/%{name}/footprints/Connector_Wire.pretty
%{_datadir}/%{name}/footprints/Connector_Wuerth.pretty
%{_datadir}/%{name}/footprints/Converter_ACDC.pretty
%{_datadir}/%{name}/footprints/Converter_DCDC.pretty
%{_datadir}/%{name}/footprints/Crystal.pretty
%{_datadir}/%{name}/footprints/Diode_SMD.pretty
%{_datadir}/%{name}/footprints/Diode_THT.pretty
%{_datadir}/%{name}/footprints/Display_7Segment.pretty
%{_datadir}/%{name}/footprints/Display.pretty
%{_datadir}/%{name}/footprints/Ferrite_THT.pretty
%{_datadir}/%{name}/footprints/Fiducial.pretty
%{_datadir}/%{name}/footprints/Filter.pretty
%{_datadir}/%{name}/footprints/Fuse.pretty
%{_datadir}/%{name}/footprints/Heatsink.pretty
%{_datadir}/%{name}/footprints/Inductor_SMD.pretty
%{_datadir}/%{name}/footprints/Inductor_SMD_Wurth.pretty
%{_datadir}/%{name}/footprints/Inductor_THT.pretty
%{_datadir}/%{name}/footprints/Inductor_THT_Wurth.pretty
%{_datadir}/%{name}/footprints/Jumper.pretty
%{_datadir}/%{name}/footprints/LED_SMD.pretty
%{_datadir}/%{name}/footprints/LED_THT.pretty
%{_datadir}/%{name}/footprints/Module.pretty
%{_datadir}/%{name}/footprints/Motors.pretty
%{_datadir}/%{name}/footprints/MountingEquipment.pretty
%{_datadir}/%{name}/footprints/MountingHole.pretty
%{_datadir}/%{name}/footprints/Mounting_Wuerth.pretty
%{_datadir}/%{name}/footprints/NetTie.pretty
%{_datadir}/%{name}/footprints/OptoDevice.pretty
%{_datadir}/%{name}/footprints/Oscillator.pretty
%{_datadir}/%{name}/footprints/Package_BGA.pretty
%{_datadir}/%{name}/footprints/Package_CSP.pretty
%{_datadir}/%{name}/footprints/Package_DFN_QFN.pretty
%{_datadir}/%{name}/footprints/Package_DIP.pretty
%{_datadir}/%{name}/footprints/Package_DirectFET.pretty
%{_datadir}/%{name}/footprints/Package_LCC.pretty
%{_datadir}/%{name}/footprints/Package_LGA.pretty
%{_datadir}/%{name}/footprints/Package_QFP.pretty
%{_datadir}/%{name}/footprints/Package_SIP.pretty
%{_datadir}/%{name}/footprints/Package_SO_J-Lead.pretty
%{_datadir}/%{name}/footprints/Package_SON.pretty
%{_datadir}/%{name}/footprints/Package_SO.pretty
%{_datadir}/%{name}/footprints/Package_TO_SOT_SMD.pretty
%{_datadir}/%{name}/footprints/Package_TO_SOT_THT.pretty
%{_datadir}/%{name}/footprints/Potentiometer_SMD.pretty
%{_datadir}/%{name}/footprints/Potentiometer_THT.pretty
%{_datadir}/%{name}/footprints/Relay_SMD.pretty
%{_datadir}/%{name}/footprints/Relay_THT.pretty
%{_datadir}/%{name}/footprints/Resistor_SMD.pretty
%{_datadir}/%{name}/footprints/Resistor_THT.pretty
%{_datadir}/%{name}/footprints/RF_Antenna.pretty
%{_datadir}/%{name}/footprints/RF_Converter.pretty
%{_datadir}/%{name}/footprints/RF_GPS.pretty
%{_datadir}/%{name}/footprints/RF_GSM.pretty
%{_datadir}/%{name}/footprints/RF_Mini-Circuits.pretty
%{_datadir}/%{name}/footprints/RF_Module.pretty
%{_datadir}/%{name}/footprints/RF.pretty
%{_datadir}/%{name}/footprints/RF_Shielding.pretty
%{_datadir}/%{name}/footprints/RF_WiFi.pretty
%{_datadir}/%{name}/footprints/Rotary_Encoder.pretty
%{_datadir}/%{name}/footprints/Sensor_Audio.pretty
%{_datadir}/%{name}/footprints/Sensor_Current.pretty
%{_datadir}/%{name}/footprints/Sensor_Distance.pretty
%{_datadir}/%{name}/footprints/Sensor_Humidity.pretty
%{_datadir}/%{name}/footprints/Sensor_Motion.pretty
%{_datadir}/%{name}/footprints/Sensor_Pressure.pretty
%{_datadir}/%{name}/footprints/Sensor.pretty
%{_datadir}/%{name}/footprints/Sensor_Voltage.pretty
%{_datadir}/%{name}/footprints/Socket.pretty
%{_datadir}/%{name}/footprints/Symbol.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_4Ucon.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Altech.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_CUI.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Dinkle.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_MetzConnect.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Philmore.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Phoenix.pretty
%{_datadir}/%{name}/footprints/TerminalBlock.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_RND.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_TE-Connectivity.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_WAGO.pretty
%{_datadir}/%{name}/footprints/TerminalBlock_Wuerth.pretty
%{_datadir}/%{name}/footprints/TestPoint.pretty
%{_datadir}/%{name}/footprints/Transformer_SMD.pretty
%{_datadir}/%{name}/footprints/Transformer_THT.pretty
%{_datadir}/%{name}/footprints/Transistor_Power_Module.pretty
%{_datadir}/%{name}/footprints/Transistor_Power.pretty
%{_datadir}/%{name}/footprints/Valve.pretty
%{_datadir}/%{name}/footprints/Varistor.pretty

%posttrans modules
pushd %{_datadir}/%{name}/fp-lib-tables/
if [ -d %{_datadir}/%{name}/footprints/Battery_Holders.pretty ]; then
	cp -f fp-lib-table-modules-all-%{version} ../template/fp-lib-table
else
	cp -f fp-lib-table-modules-%{version} ../template/fp-lib-table
fi
popd

%postun modules
if ! [ -d %{_datadir}/%{name}/fp-lib-tables ]; then exit 0; fi
pushd %{_datadir}/%{name}/fp-lib-tables/
if [ -d %{_datadir}/%{name}/footprints/Battery_Holders.pretty ]; then
	cp -f fp-lib-table-modules-old-%{version} ../template/fp-lib-table
else
	cp -f fp-lib-table-modules-nothing-%{version} ../template/fp-lib-table
fi
popd

#----------------------------------------------------------------------------

%package modules-old
Summary:	Packages3d modules for KiCad
Group:		Sciences/Computer science
Requires:	%{name} = %{EVRD}
BuildArch:	noarch

%description modules-old
Old *.pretty modules for KiCad.

%files modules-old
%doc AUTHORS.txt CONTRIBUTING.md README.md
%license LICENSE*
%{_datadir}/%{name}/footprints/Air_Coils_SML_NEOSID.pretty
%{_datadir}/%{name}/footprints/Battery_Holders.pretty
%{_datadir}/%{name}/footprints/Buttons_Switches_SMD.pretty
%{_datadir}/%{name}/footprints/Buttons_Switches_THT.pretty
%{_datadir}/%{name}/footprints/Buzzers_Beepers.pretty
%{_datadir}/%{name}/footprints/Capacitors_SMD.pretty
%{_datadir}/%{name}/footprints/Capacitors_Tantalum_SMD.pretty
%{_datadir}/%{name}/footprints/Capacitors_THT.pretty
%{_datadir}/%{name}/footprints/Choke_Axial_ThroughHole.pretty
%{_datadir}/%{name}/footprints/Choke_Common-Mode_Wurth.pretty
%{_datadir}/%{name}/footprints/Choke_Radial_ThroughHole.pretty
%{_datadir}/%{name}/footprints/Choke_SMD.pretty
%{_datadir}/%{name}/footprints/Choke_Toroid_ThroughHole.pretty
%{_datadir}/%{name}/footprints/Connectors.pretty
%{_datadir}/%{name}/footprints/Connectors_Card.pretty
%{_datadir}/%{name}/footprints/Connectors_Harwin.pretty
%{_datadir}/%{name}/footprints/Connectors_HDMI.pretty
%{_datadir}/%{name}/footprints/Connectors_Hirose.pretty
%{_datadir}/%{name}/footprints/Connectors_IEC_DIN.pretty
%{_datadir}/%{name}/footprints/Connectors_JAE.pretty
%{_datadir}/%{name}/footprints/Connectors_JST.pretty
%{_datadir}/%{name}/footprints/Connectors_Mini-Universal.pretty
%{_datadir}/%{name}/footprints/Connectors_Molex.pretty
%{_datadir}/%{name}/footprints/Connectors_Multicomp.pretty
%{_datadir}/%{name}/footprints/Connectors_Phoenix.pretty
%{_datadir}/%{name}/footprints/Connectors_Samtec.pretty
%{_datadir}/%{name}/footprints/Connectors_TE-Connectivity.pretty
%{_datadir}/%{name}/footprints/Connectors_Terminal_Blocks.pretty
%{_datadir}/%{name}/footprints/Connectors_WAGO.pretty
%{_datadir}/%{name}/footprints/Converters_DCDC_ACDC.pretty
%{_datadir}/%{name}/footprints/Crystals.pretty
%{_datadir}/%{name}/footprints/Diodes_SMD.pretty
%{_datadir}/%{name}/footprints/Diodes_THT.pretty
%{_datadir}/%{name}/footprints/Displays.pretty
%{_datadir}/%{name}/footprints/Displays_7-Segment.pretty
%{_datadir}/%{name}/footprints/Enclosures.pretty
%{_datadir}/%{name}/footprints/EuroBoard_Outline.pretty
%{_datadir}/%{name}/footprints/Fiducials.pretty
%{_datadir}/%{name}/footprints/Filters_HF_Coils_NEOSID.pretty
%{_datadir}/%{name}/footprints/Fuse_Holders_and_Fuses.pretty
%{_datadir}/%{name}/footprints/Hall-Effect_Transducers_LEM.pretty
%{_datadir}/%{name}/footprints/Heatsinks.pretty
%{_datadir}/%{name}/footprints/Housings_BGA.pretty
%{_datadir}/%{name}/footprints/Housings_CSP.pretty
%{_datadir}/%{name}/footprints/Housings_DFN_QFN.pretty
%{_datadir}/%{name}/footprints/Housings_DIP.pretty
%{_datadir}/%{name}/footprints/Housings_LCC.pretty
%{_datadir}/%{name}/footprints/Housings_LGA.pretty
%{_datadir}/%{name}/footprints/Housings_PGA.pretty
%{_datadir}/%{name}/footprints/Housings_QFP.pretty
%{_datadir}/%{name}/footprints/Housings_SIP.pretty
%{_datadir}/%{name}/footprints/Housings_SOIC.pretty
%{_datadir}/%{name}/footprints/Housings_SON.pretty
%{_datadir}/%{name}/footprints/Housings_SSOP.pretty
%{_datadir}/%{name}/footprints/Inductors.pretty
%{_datadir}/%{name}/footprints/Inductors_NEOSID.pretty
%{_datadir}/%{name}/footprints/Inductors_SMD.pretty
%{_datadir}/%{name}/footprints/Inductors_THT.pretty
%{_datadir}/%{name}/footprints/IR-DirectFETs.pretty
%{_datadir}/%{name}/footprints/LEDs.pretty
%{_datadir}/%{name}/footprints/Measurement_Points.pretty
%{_datadir}/%{name}/footprints/Measurement_Scales.pretty
%{_datadir}/%{name}/footprints/Mechanical_Sockets.pretty
%{_datadir}/%{name}/footprints/Microwave.pretty
%{_datadir}/%{name}/footprints/Modules.pretty
%{_datadir}/%{name}/footprints/Mounting_Holes.pretty
%{_datadir}/%{name}/footprints/NF-Transformers_ETAL.pretty
%{_datadir}/%{name}/footprints/Oddities.pretty
%{_datadir}/%{name}/footprints/Opto-Devices.pretty
%{_datadir}/%{name}/footprints/Oscillators.pretty
%{_datadir}/%{name}/footprints/PFF_PSF_PSS_Leadforms.pretty
%{_datadir}/%{name}/footprints/Pin_Headers.pretty
%{_datadir}/%{name}/footprints/Potentiometers.pretty
%{_datadir}/%{name}/footprints/Power_Integrations.pretty
%{_datadir}/%{name}/footprints/Relays_SMD.pretty
%{_datadir}/%{name}/footprints/Relays_THT.pretty
%{_datadir}/%{name}/footprints/Resistors_SMD.pretty
%{_datadir}/%{name}/footprints/Resistors_THT.pretty
%{_datadir}/%{name}/footprints/Resistors_Universal.pretty
%{_datadir}/%{name}/footprints/RF_Antennas.pretty
%{_datadir}/%{name}/footprints/RF_Modules.pretty
%{_datadir}/%{name}/footprints/Shielding_Cabinets.pretty
%{_datadir}/%{name}/footprints/SMD_Packages.pretty
%{_datadir}/%{name}/footprints/Sockets_MOLEX_KK-System.pretty
%{_datadir}/%{name}/footprints/Sockets.pretty
%{_datadir}/%{name}/footprints/Socket_Strips.pretty
%{_datadir}/%{name}/footprints/Symbols.pretty
%{_datadir}/%{name}/footprints/TerminalBlocks_Phoenix.pretty
%{_datadir}/%{name}/footprints/TerminalBlocks_WAGO.pretty
%{_datadir}/%{name}/footprints/TO_SOT_Packages_SMD.pretty
%{_datadir}/%{name}/footprints/TO_SOT_Packages_THT.pretty
%{_datadir}/%{name}/footprints/Transformers_CHK.pretty
%{_datadir}/%{name}/footprints/Transformers_SMD.pretty
%{_datadir}/%{name}/footprints/Transformers_SMPS_ThroughHole.pretty
%{_datadir}/%{name}/footprints/Transformers_THT.pretty
%{_datadir}/%{name}/footprints/Transistors_OldSowjetAera.pretty
%{_datadir}/%{name}/footprints/Valves.pretty
%{_datadir}/%{name}/footprints/Varistors.pretty
%{_datadir}/%{name}/footprints/Wire_Connections_Bridges.pretty
%{_datadir}/%{name}/footprints/Wire_Pads.pretty

%posttrans modules-old
pushd %{_datadir}/%{name}/fp-lib-tables/
if [ -d %{_datadir}/%{name}/footprints/Battery.pretty ]; then
	cp -f fp-lib-table-modules-all-%{version} ../template/fp-lib-table
else
	cp -f fp-lib-table-modules-old-%{version} ../template/fp-lib-table
fi
popd

%postun modules-old
if ! [ -d %{_datadir}/%{name}/fp-lib-tables ]; then exit 0; fi
pushd %{_datadir}/%{name}/fp-lib-tables/
if [ -d %{_datadir}/%{name}/footprints/Battery.pretty ]; then
	cp -f fp-lib-table-modules-%{version} ../template/fp-lib-table
else
	cp -f fp-lib-table-modules-nothing-%{version} ../template/fp-lib-table
fi
popd

#----------------------------------------------------------------------------

%package modules-packages3d
Summary:	Packages3d modules for KiCad
Group:		Sciences/Computer science
Recommends:	%{name} = %{EVRD}
BuildArch:	noarch

%description modules-packages3d
All new *.3dshapes modules for KiCad.

%files modules-packages3d
%doc %{name}-packages3D-%{version}/{CREDITS.md,README.md}
%license %{name}-packages3D-%{version}/LICENSE.md
%{_docdir}/%{name}-packages3D/source-LICENSE.md
%{_docdir}/%{name}-packages3D/source-README.md
%{_datadir}/%{name}/3dmodels/Battery.3dshapes
%{_datadir}/%{name}/3dmodels/Button_Switch_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Button_Switch_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Buzzer_Beeper.3dshapes
%{_datadir}/%{name}/3dmodels/Capacitor_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Capacitor_Tantalum_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Capacitor_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_AMASS.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Audio.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_BarrelJack.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Card.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Coaxial.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_DIN.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Dsub.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_FFC-FPC.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_HDMI.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_IDC.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_JST.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Molex.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Phoenix_GMSTB.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Phoenix_MC_HighVoltage.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Phoenix_MC.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Phoenix_MSTB.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Phoenix_SPT.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Pin.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinHeader_1.00mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinHeader_1.27mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinHeader_2.00mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinHeader_2.54mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinSocket_1.00mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinSocket_1.27mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinSocket_2.00mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_PinSocket_2.54mm.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_RJ.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Samtec.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Samtec_HPM_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_SATA_SAS.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Stocko.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_TE-Connectivity.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_USB.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Video.3dshapes
%{_datadir}/%{name}/3dmodels/Connector_Wuerth.3dshapes
%{_datadir}/%{name}/3dmodels/Connector.3dshapes
%{_datadir}/%{name}/3dmodels/Converter_ACDC.3dshapes
%{_datadir}/%{name}/3dmodels/Converter_DCDC.3dshapes
%{_datadir}/%{name}/3dmodels/Crystal.3dshapes
%{_datadir}/%{name}/3dmodels/Diode_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Diode_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Display_7Segment.3dshapes
%{_datadir}/%{name}/3dmodels/Display.3dshapes
%{_datadir}/%{name}/3dmodels/Ferrite_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Filter.3dshapes
%{_datadir}/%{name}/3dmodels/Fuse_Holders_and_Fuses.3dshapes
%{_datadir}/%{name}/3dmodels/Fuse.3dshapes
%{_datadir}/%{name}/3dmodels/Heatsink.3dshapes
%{_datadir}/%{name}/3dmodels/Inductor_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Inductor_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Inductor_SMD_Wurth.3dshapes
%{_datadir}/%{name}/3dmodels/Inductor_THT_Wurth.3dshapes
%{_datadir}/%{name}/3dmodels/LED_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/LED_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Module.3dshapes
%{_datadir}/%{name}/3dmodels/Mounting_Wuerth.3dshapes
%{_datadir}/%{name}/3dmodels/MountingEquipment.3dshapes
%{_datadir}/%{name}/3dmodels/MountingHole.3dshapes
%{_datadir}/%{name}/3dmodels/OptoDevice.3dshapes
%{_datadir}/%{name}/3dmodels/Oscillator.3dshapes
%{_datadir}/%{name}/3dmodels/Package_BGA.3dshapes
%{_datadir}/%{name}/3dmodels/Package_DFN_QFN.3dshapes
%{_datadir}/%{name}/3dmodels/Package_DIP.3dshapes
%{_datadir}/%{name}/3dmodels/Package_DirectFET.3dshapes
%{_datadir}/%{name}/3dmodels/Package_LGA.3dshapes
%{_datadir}/%{name}/3dmodels/Package_LCC.3dshapes
%{_datadir}/%{name}/3dmodels/Package_QFP.3dshapes
%{_datadir}/%{name}/3dmodels/Package_SIP.3dshapes
%{_datadir}/%{name}/3dmodels/Package_SO.3dshapes
%{_datadir}/%{name}/3dmodels/Package_SON.3dshapes
%{_datadir}/%{name}/3dmodels/Package_TO_SOT_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Package_TO_SOT_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Package_CSP.3dshapes
%{_datadir}/%{name}/3dmodels/Potentiometer_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Potentiometer_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Potentiometer.3dshapes
%{_datadir}/%{name}/3dmodels/Relay_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Relay_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Resistor_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Resistor_THT.3dshapes
%{_datadir}/%{name}/3dmodels/RF_Antenna.3dshapes
%{_datadir}/%{name}/3dmodels/RF_Converter.3dshapes
%{_datadir}/%{name}/3dmodels/RF_GSM.3dshapes
%{_datadir}/%{name}/3dmodels/RF_Module.3dshapes
%{_datadir}/%{name}/3dmodels/Sensor_Audio.3dshapes
%{_datadir}/%{name}/3dmodels/Sensor_Current.3dshapes
%{_datadir}/%{name}/3dmodels/Sensor_Voltage.3dshapes
%{_datadir}/%{name}/3dmodels/Sensor_Distance.3dshapes
%{_datadir}/%{name}/3dmodels/Sensor_Pressure.3dshapes
%{_datadir}/%{name}/3dmodels/Sensor.3dshapes
%{_datadir}/%{name}/3dmodels/Sensors.3dshapes
%{_datadir}/%{name}/3dmodels/Symbol.3dshapes
%{_datadir}/%{name}/3dmodels/TerminalBlock_Altech.3dshapes
%{_datadir}/%{name}/3dmodels/TerminalBlock_Phoenix.3dshapes
%{_datadir}/%{name}/3dmodels/TerminalBlock_Wuerth.3dshapes
%{_datadir}/%{name}/3dmodels/TestPoint.3dshapes
%{_datadir}/%{name}/3dmodels/Transformer_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Transformer_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Transistor_Power_Module.3dshapes
%{_datadir}/%{name}/3dmodels/Valve.3dshapes
%{_datadir}/%{name}/3dmodels/Varistor.3dshapes

#----------------------------------------------------------------------------

%package modules-packages3d-old
Summary:	Packages3d modules for KiCad
Group:		Sciences/Computer science
BuildArch:	noarch
Recommends:	%{name} = %{EVRD}

%description modules-packages3d-old
Old *.3dshapes modules for KiCad.

%files modules-packages3d-old
%doc packages3D-4.0.7/{CREDITS.md,README.md}
%license packages3D-4.0.7/LICENSE
%{_docdir}/%{name}-packages3D-old/CREDITS.md
%{_docdir}/%{name}-packages3D-old/LICENSE
%{_docdir}/%{name}-packages3D-old/README.md
%{_docdir}/%{name}-packages3D-old/source-LICENSE
%{_docdir}/%{name}-packages3D-old/source-README.md
%{_datadir}/%{name}/3dmodels/Buttons_Switches_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Capacitors_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Capacitors_Tantalum_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Capacitors_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Connectors_JST.3dshapes
%{_datadir}/%{name}/3dmodels/Connectors_Molex.3dshapes
%{_datadir}/%{name}/3dmodels/Connectors_Phoenix.3dshapes
%{_datadir}/%{name}/3dmodels/Connectors_USB.3dshapes
%{_datadir}/%{name}/3dmodels/Diodes_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/Diodes_ThroughHole.3dshapes
%{_datadir}/%{name}/3dmodels/Displays.3dshapes
%{_datadir}/%{name}/3dmodels/Displays_7-Segment.3dshapes
%{_datadir}/%{name}/3dmodels/Hall-Effect_Transducers_LEM.3dshapes
%{_datadir}/%{name}/3dmodels/Housings_BGA.3dshapes
%{_datadir}/%{name}/3dmodels/Housings_DFN_QFN.3dshapes
%{_datadir}/%{name}/3dmodels/Housings_DIP.3dshapes
%{_datadir}/%{name}/3dmodels/Housings_QFP.3dshapes
%{_datadir}/%{name}/3dmodels/Housings_SOIC.3dshapes
%{_datadir}/%{name}/3dmodels/Housings_SON.3dshapes
%{_datadir}/%{name}/3dmodels/Housings_SSOP.3dshapes
%{_datadir}/%{name}/3dmodels/Inductors_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/LEDs.3dshapes
%{_datadir}/%{name}/3dmodels/Opto-Devices.3dshapes
%{_datadir}/%{name}/3dmodels/Pin_Headers.3dshapes
%{_datadir}/%{name}/3dmodels/Resistors_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/TO_SOT_Packages_SMD.3dshapes
%{_datadir}/%{name}/3dmodels/TO_SOT_Packages_THT.3dshapes
%{_datadir}/%{name}/3dmodels/Valves.3dshapes

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for KiCad
Group:		Documentation
Obsoletes:	%{name}-doc-hu < %{EVRD}
Obsoletes:	%{name}-doc-pt < %{EVRD}
Provides:	%{name}-doc-hu = %{EVRD}
Provides:	%{name}-doc-pt = %{EVRD}
BuildArch:	noarch

%description doc
Documentation and tutorials for KiCad in English.

%files doc
%doc %{name}-doc-%{version}/{AUTHORS_README.adoc,CHEATSHEET.adoc,README.adoc}
%license %{name}-doc-%{version}/LICENSE.adoc
%{_docdir}/%{name}/help/en

#----------------------------------------------------------------------------

%package doc-ca
Summary:	Documentation for KiCad in Catalan
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-ca
BuildArch:	noarch

%description doc-ca
Documentation and tutorials for KiCad in Catalan.

%files doc-ca
%{_docdir}/%{name}/help/ca

#----------------------------------------------------------------------------

%package doc-de
Summary:	Documentation for KiCad in German
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-de
BuildArch:	noarch

%description doc-de
Documentation and tutorials for KiCad in German.

%files doc-de
%{_docdir}/%{name}/help/de

#----------------------------------------------------------------------------

%package doc-es
Summary:	Documentation for KiCad in Spanish
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-es
BuildArch:	noarch

%description doc-es
Documentation and tutorials for KiCad in Spanish.

%files doc-es
%{_docdir}/%{name}/help/es

#----------------------------------------------------------------------------

%package doc-fr
Summary:	Documentation for KiCad in French
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-fr
BuildArch:	noarch

%description doc-fr
Documentation and tutorials for KiCad in French.

%files doc-fr
%{_docdir}/%{name}/help/fr

#----------------------------------------------------------------------------

%package doc-id
Summary:	Documentation for KiCad in Indonesian
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-id
BuildArch:	noarch

%description doc-id
Documentation and tutorials for KiCad in Indonesian.

%files doc-id
%{_docdir}/%{name}/help/id

#----------------------------------------------------------------------------

%package doc-it
Summary:	Documentation for KiCad in Italian
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-it
BuildArch:	noarch

%description doc-it
Documentation and tutorials for KiCad in Italian.

%files doc-it
%{_docdir}/%{name}/help/it

#----------------------------------------------------------------------------

%package doc-ja
Summary:	Documentation for KiCad in Japanese
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-ja
BuildArch:	noarch

%description doc-ja
Documentation and tutorials for KiCad in Japanese.

%files doc-ja
%{_docdir}/%{name}/help/ja

#----------------------------------------------------------------------------

%package doc-nl
Summary:	Documentation for KiCad in Dutch
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-nl
BuildArch:	noarch

%description doc-nl
Documentation and tutorials for KiCad in Dutch.

%files doc-nl
%{_docdir}/%{name}/help/nl

#----------------------------------------------------------------------------

%package doc-pl
Summary:	Documentation for KiCad in Polish
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-pl
BuildArch:	noarch

%description doc-pl
Documentation and tutorials for KiCad in Polish

%files doc-pl
%{_docdir}/%{name}/help/pl

#----------------------------------------------------------------------------

%package doc-ru
Summary:	Documentation for KiCad in Russian
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-ru
BuildArch:	noarch

%description doc-ru
Documentation and tutorials for KiCad in Russian.

%files doc-ru
%{_docdir}/%{name}/help/ru

#----------------------------------------------------------------------------

%package doc-zh
Summary:	Documentation for KiCad in Chinese
Group:		Documentation
Requires:	%{name}-doc = %{EVRD}
Requires:	locales-zh
BuildArch:	noarch

%description doc-zh
Documentation and tutorials for KiCad in Chinese.

%files doc-zh
%{_docdir}/%{name}/help/zh

#----------------------------------------------------------------------------

%prep
%setup -q -a1 -a2 -a4 -a5 -a6 -a8 -a9 -a10
%patch0 -p1
%patch1 -p1

%build
# Build symbols libraries
pushd %{name}-symbols-%{version}
%cmake
%make_build
popd

# Build kicad-doc
pushd %{name}-doc-%{version}
%cmake -DBUILD_FORMATS=html
%make_build
popd

# Build kicad-footprints
pushd %{name}-footprints-%{version}
%cmake
%make_build
popd

# Build kicad-packages3D
pushd %{name}-packages3D-%{version}
%cmake
%make_build
popd

# Build kicad-templates
pushd %{name}-templates-%{version}
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
%make_build
popd

# Build kicad
%cmake \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo	\
	-DKICAD_BUILD_I18N=ON			\
	-DKICAD_BUILD_QA_TESTS=OFF		\
	-DKICAD_I18N_UNIX_STRICT_PATH=ON	\
	-DKICAD_SCRIPTING=ON			\
	-DKICAD_SCRIPTING_ACTION_MENU=ON	\
	-DKICAD_SCRIPTING_MODULES=ON		\
	-DKICAD_SCRIPTING_PYTHON3=ON		\
	-DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON	\
	-DKICAD_SPICE=ON			\
	-DKICAD_USE_EGL=ON			\
	-DKICAD_VERSION_EXTRA=%{release}
%make_build VERBOSE=1

%install
%makeinstall_std -C build

for desktopfile in %{buildroot}%{_datadir}/applications/*.desktop ; do
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category Development			\
	--delete-original				\
	${desktopfile}
done

mkdir -p %{buildroot}%{_docdir}/%{name}
# Install symbols libraries
pushd %{name}-symbols-%{version}
%makeinstall_std -C build
cp -f LICENSE.md %{buildroot}%{_docdir}/%{name}/%{name}-symbols-LICENSE.md
cp -f README.md %{buildroot}%{_docdir}/%{name}/%{name}-symbols-README.md
popd

# Install templates
pushd %{name}-templates-%{version}
%makeinstall_std -C build
cp -f LICENSE.md %{buildroot}%{_docdir}/%{name}/%{name}-templates-LICENSE.md
cp -f README.md %{buildroot}%{_docdir}/%{name}/%{name}-templates-README.md
popd

# Install footprints
pushd %{name}-footprints-%{version}
%makeinstall_std -C build
cp -f CONTRIBUTING.md %{buildroot}%{_docdir}/%{name}/%{name}-footprints-CONTRIBUTING.md
cp -f LICENSE.md %{buildroot}%{_docdir}/%{name}/%{name}-footprints-LICENSE.md
cp -f README.md %{buildroot}%{_docdir}/%{name}/%{name}-footprints-README.md
popd

# Install packages3D
pushd %{name}-packages3D-%{version}
%makeinstall_std -C build
popd

# Install old packages3D
pushd packages3D-4.0.7
cp -rf *.3dshapes %{buildroot}%{_datadir}/%{name}/3dmodels/
mkdir -p %{buildroot}%{_docdir}/%{name}-packages3D-old/
cp -f CREDITS.md LICENSE README.md %{buildroot}%{_docdir}/%{name}-packages3D-old/
popd

# Install packages3D-source
pushd %{name}-packages3D-source-%{ver2020}
cp -rf *.3dshapes %{buildroot}%{_datadir}/%{name}/3dmodels/
mkdir -p %{buildroot}%{_docdir}/%{name}-packages3D/
cp -f LICENSE.md %{buildroot}%{_docdir}/%{name}-packages3D/source-LICENSE.md
cp -f README.md %{buildroot}%{_docdir}/%{name}-packages3D/source-README.md
popd

# Install old packages3D-source
pushd packages3D-source-4.0.7
cp -rf *.3dshapes %{buildroot}%{_datadir}/%{name}/3dmodels/
cp -f LICENSE %{buildroot}%{_docdir}/%{name}-packages3D-old/source-LICENSE
cp -f README.md %{buildroot}%{_docdir}/%{name}-packages3D-old/source-README.md
popd

# Install kicad-doc
pushd %{name}-doc-%{version}
%makeinstall_std -C build
popd

# We don't have headers
rm -f %{buildroot}%{_libdir}/libkicad_3dsg.so

# Install old modules
mkdir -p %{buildroot}%{_datadir}/%{name}/modules
for S in %{sources}; do
	P=$(basename $S |sed -n 's/\.pretty-.*/.pretty/p')
	[ "$P" ] || continue
	mkdir -p %{buildroot}%{_datadir}/%{name}/footprints/$P
	tar xzf $S --strip-components=1 -C %{buildroot}%{_datadir}/%{name}/footprints/$P
done

# Fix invalid zero-sized pad pinned
sed -i "s/(size 0 0)/(size 1 1)/" %{buildroot}%{_datadir}/%{name}/footprints/Connectors_Samtec.pretty/MECF-*

find %{buildroot}%{_datadir}/%{name}/modules -type f -exec chmod 0644 {} \;
rm -rf %{buildroot}%{_datadir}/%{name}/footprints/*/{.gitattributes,.travis.yml}

cp -f %{SOURCE201} %{buildroot}%{_datadir}/%{name}/template/fp-lib-table
mkdir -p %{buildroot}%{_datadir}/%{name}/fp-lib-tables
ln -s ../fp-lib-tables %{buildroot}%{_datadir}/%{name}/template/fp-lib-tables
cp -f %{SOURCE200} %{SOURCE201} %{SOURCE202} %{SOURCE203} %{buildroot}%{_datadir}/%{name}/fp-lib-tables/

# the pcbnew kiface and the python module are actually the same file
if cmp --quiet %{buildroot}%{_bindir}/_pcbnew.kiface %{buildroot}%{py3_puresitedir}/_pcbnew.so; then
	ln -sf %{_bindir}/_pcbnew.kiface %{buildroot}%{py3_puresitedir}/_pcbnew.so
else
	chmod +x %{buildroot}%{_bindir}/_pcbnew.kiface
	chrpath --delete %{buildroot}%{_bindir}/_pcbnew.kiface
fi

# Deregression help for dutch
pushd %{buildroot}%{_docdir}/%{name}/help
tar -xf %{SOURCE300}
popd

chmod -x %{buildroot}%{_datadir}/%{name}/scripting/kicad_pyshell/*.py
chmod -x %{buildroot}%{_datadir}/%{name}/scripting/plugins/*.py
chmod -x %{buildroot}%{_datadir}/%{name}/footprints/Diodes_SMD.pretty/D_SC-80.kicad_mod
chmod -x %{buildroot}%{_datadir}/%{name}/3dmodels/*/*.step
chmod -x %{buildroot}%{_datadir}/%{name}/3dmodels/*/*.wrl

%find_lang %{name}
